# Class PlayedRangesChangedEvent

#### Hierarchy (view full)

- BasePlayerEvent
  - PlayedRangesChangedEvent

#####
Index

### Constructors

constructor

### Properties

playedRanges
type

## Constructors

### constructor

- new PlayedRangesChangedEvent(playedRanges): PlayedRangesChangedEvent

- #### Parameters

  - playedRanges: PlayerTimeRange[]

  #### Returns PlayedRangesChangedEvent

  Overrides BasePlayerEvent.constructor

## Properties

### `Readonly` playedRanges

playedRanges: PlayerTimeRange[]

### `Readonly` type

type: "playedrangeschanged" = Events.PlayedRangesChanged

Overrides BasePlayerEvent.type